Store APIsCustomers
List customers
Returns a list of customers who have checked out on the store, most recent first. Requires the CUSTOMERS_READ scope.
AuthorizationBearer <token>
Bearer token authentication. Pass the secret directly in the Authorization header. Token secrets start with sk_.
In: header
Path Parameters
storeId*string
Length
12 <= length <= 48Query Parameters
page?integer
Range
1 <= valueDefault
1limit?integer
Range
1 <= value <= 100Default
25search?string
Length
length <= 128sortBy?|||
sortOrder?|
Header Parameters
idempotency-key?string
Length
8 <= length <= 32Response Body
application/json
application/json
curl -X GET "https://example.com/stores/stringstring/customers/"{ "ok": true, "data": { "items": [ { "id": "cus_j8h0r1n4tzcbfp2v8q1mzwx5", "email": "buyer@example.com", "firstName": "Alex", "lastName": "Doe", "guest": false, "totalSpent": 8700, "orderCount": 3, "createdAt": "2026-03-01T11:20:00.000Z" } ], "pagination": { "page": 1, "limit": 25, "total": 1, "totalPages": 1 } }}